#include <cstdio>
#include <cmath>
using namespace std;
int main(){
	int n,m,o,p,k=0;
	scanf("%d%d", &n, &m);
	int y[n];
	for(int i=0;i<n;i++){
		scanf("%d", &y[i]);
	}
		for(int j=0;j<m;j++){
		scanf("%d%d", &o, &p);
		k+=abs(y[o-1]+y[p-1]);
	}
	printf("%d", k);
	return 0;
}